﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDSxxx Channel Selection
DATE:                  2003-04-22
AUTHOR:                fluke
REVISION:              $Revision: 2605 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       59
=============================================================================
#
# Registers Used:
#
#   M[100]    Channel selection
#               1,2,3,4,12,13,14,23,24,34,123,124,134,234, or 1234
#
#   S[1]      Channel 1 "ON" or "OFF"
#   S[2]      Channel 2 "ON" or "OFF"
#   S[3]      Channel 3 "ON" or "OFF"
#   S[4]      Channel 4 "ON" or "OFF"
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           M[100] == 1
  1.002  MATH         S[1] = "ON";  S[2] = "OFF"; S[3] = "OFF"; S[4] = "OFF"
  1.003  ELSEIF       M[100] == 2
  1.004  MATH         S[1] = "OFF"; S[2] = "ON";  S[3] = "OFF"; S[4] = "OFF"
  1.005  ELSEIF       M[100] == 3
  1.006  MATH         S[1] = "OFF"; S[2] = "OFF"; S[3] = "ON";  S[4] = "OFF"
  1.007  ELSEIF       M[100] == 4
  1.008  MATH         S[1] = "OFF"; S[2] = "OFF"; S[3] = "OFF"; S[4] = "ON"
  1.009  ELSEIF       M[100] == 12
  1.010  MATH         S[1] = "ON";  S[2] = "ON";  S[3] = "OFF"; S[4] = "OFF"
  1.011  ELSEIF       M[100] == 13
  1.012  MATH         S[1] = "ON";  S[2] = "OFF"; S[3] = "ON";  S[4] = "OFF"
  1.013  ELSEIF       M[100] == 14
  1.014  MATH         S[1] = "ON";  S[2] = "OFF"; S[3] = "OFF"; S[4] = "ON"
  1.015  ELSEIF       M[100] == 23
  1.016  MATH         S[1] = "OFF"; S[2] = "ON";  S[3] = "ON";  S[4] = "OFF"
  1.017  ELSEIF       M[100] == 24
  1.018  MATH         S[1] = "OFF"; S[2] = "ON";  S[3] = "OFF"; S[4] = "ON"
  1.019  ELSEIF       M[100] == 34
  1.020  MATH         S[1] = "OFF"; S[2] = "OFF"; S[3] = "ON";  S[4] = "ON"
  1.021  ELSEIF       M[100] == 123
  1.022  MATH         S[1] = "ON";  S[2] = "ON";  S[3] = "ON";  S[4] = "OFF"
  1.023  ELSEIF       M[100] == 124
  1.024  MATH         S[1] = "ON";  S[2] = "ON";  S[3] = "OFF"; S[4] = "ON"
  1.025  ELSEIF       M[100] == 134
  1.026  MATH         S[1] = "ON";  S[2] = "OFF"; S[3] = "ON";  S[4] = "ON"
  1.027  ELSEIF       M[100] == 234
  1.028  MATH         S[1] = "OFF"; S[2] = "ON";  S[3] = "ON";  S[4] = "ON"
  1.029  ELSEIF       M[100] == 1234
  1.030  MATH         S[1] = "ON";  S[2] = "ON";  S[3] = "ON";  S[4] = "ON"
  1.031  ELSE
  1.032  DISP         Undefined channel designation in M(100).  M(100) must be
  1.032  DISP         1,2,3,4,12,13,14,23,24,34,123,124,134,234, or 1234.
  1.033  ENDIF

  1.034  END
